\begin{tikzpicture}[framed]
  \tikzset{
    decoration={
      name=markings,
      mark=between positions 0.2 and 1.00 step 0.2 with {
        \draw[ultra thick, fill] circle (2pt);
      },
    }
  }

  \clip (-4,-6) rectangle (10,4);

    % Path A1
    \draw[ultra thick, smooth, color=teal, postaction={decorate}]
      (-2,-3) .. controls (-1,1) and (3,-1.4) .. (7,-1.8)
      node[pos=0.1, below right] {$P_{15}$}
      node[pos=0.25, below right] {$P_{14}$}
      node[pos=0.5, below] {$P_{13}$}
      node[pos=0.75, below] {$P_{12}$}
      node[pos=0.9, below] {$P_{11}$}
      node (A1) [pos=0.35, minimum size=0.8cm, circle, draw, fill=teal!20, label=above:$A_1$] {};
    \draw[ultra thick, color=teal, <-] (A1) ++(-0.15,-0.03) -- ++(0.3,0.06);

    % Path A2
    \draw[ultra thick, smooth, color=purple, postaction={decorate}]
      (-3,0) .. controls (0,3) and (4,3) .. (8,0)
      node[pos=0.1, above left] {$P_{21}$}
      node[pos=0.32, above left] {$P_{22}$}
      node[pos=0.54, above right] {$P_{23}$}
      node[pos=0.7, above right] {$P_{24}$}
      node[pos=0.92, above right] {$P_{25}$}
      node (A2) [pos=0.5, minimum size=0.8cm, circle, draw, fill=purple!20, label=above:$A_2$] {};
    \draw[ultra thick, color=purple, ->] (A2) ++(-0.15,0) -- ++(0.3,0);

    % Path A3
    \draw[ultra thick, smooth, color=brown, postaction={decorate}]
      (-1,-4) .. controls (-0.5,-1.5) and (7.5,1.5) .. (9,2)
      node[pos=0.1, below right] {$P_{35}$}
      node[pos=0.3, below right] {$P_{34}$}
      node[pos=0.5, below right] {$P_{33}$}
      node[pos=0.68, below right] {$P_{32}$}
      node[pos=0.85, below right] {$P_{31}$}
      node (A3) [pos=0.65, minimum size=0.8cm, circle, draw, fill=brown!20, label=below:$A_3$] {};
    \draw[ultra thick, color=brown, <-] (A3) ++(-0.15,-0.08) -- ++(0.3,0.14);
\end{tikzpicture}

